import { io } from "socket.io-client";
import env from "../config";

function useSocket(namespace) {
  const socket = useRef();

  useEffect(() => {
    const ioSocket = io(`${env.SERVER_URL}${namespace}`, { path: "/ws" });
    socket.current = ioSocket;

    return () => {
      if (socket.current) {
        socket.current.disconnect();
        socket.current = undefined;
      }
    };
  }, [namespace]);

  return socket.current;
}

export default useSocket;
